Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.serializers
Class XIncludeFilter

    java.lang.Object
      org.exist.storage.serializers.XIncludeFilter

All Implemented Interfaces:
  Receiver

public class XIncludeFilter
extends java.lang.Object
implements Receiver

A filter that listens for XInclude elements in the stream of events generated by the `Serializer`. XInclude elements are expanded at the position where they were found.

Field Summary
`static java.lang.String` | `XINCLUDE_NS`

Constructor Summary
`XIncludeFilter(Serializer serializer)`
`XIncludeFilter(Serializer serializer, Receiver receiver)`

Method Summary
`void` | `attribute(QName qname, java.lang.String value)`
`void` | `cdataSection(char[] ch, int start, int len)`
`void` | `characters(java.lang.CharSequence seq)`
`void` | `comment(char[] ch, int start, int length)`
`void` | `documentType(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `endDocument()`
`void` | `endElement(QName qname)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`Receiver` | `getReceiver()`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setDocument(DocumentImpl doc)`
`void` | `setReceiver(Receiver handler)`
`void` | `startDocument()`
`void` | `startElement(QName qname, AttrList attribs)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XINCLUDE_NS

    public static final java.lang.String XINCLUDE_NS

See Also:
  Constant Field Values

Constructor Detail

### XIncludeFilter

    public XIncludeFilter(Serializer serializer,
                          Receiver receiver)

### XIncludeFilter

    public XIncludeFilter(Serializer serializer)

Method Detail

### setReceiver

    public void setReceiver(Receiver handler)

### getReceiver

    public Receiver getReceiver()

### setDocument

    public void setDocument(DocumentImpl doc)

### characters

    public void characters(java.lang.CharSequence seq)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Specified by:
    `comment` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.endDocument()`

### endElement

    public void endElement(QName qname)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `Receiver.endElement(org.exist.dom.QName)`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Specified by:
    `endPrefixMapping` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`

### cdataSection

    public void cdataSection(char[] ch,
                             int start,
                             int len)
                      throws org.xml.sax.SAXException

  Specified by:
    `cdataSection` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `Receiver.cdataSection(char[], int, int)`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.startDocument()`

### attribute

    public void attribute(QName qname,
                          java.lang.String value)
                   throws org.xml.sax.SAXException

  Specified by:
    `attribute` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(QName qname,
                             AttrList attribs)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### documentType

    public void documentType(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Specified by:
    `documentType` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Specified by:
    `startPrefixMapping` in interface `Receiver`
  Throws:
    `org.xml.sax.SAXException`
  See Also:
    `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.